use dioxus::prelude::*;
use dioxus_router::prelude::*;

#[component]
pub fn FooterButton(url: String, inner_text: String) -> Element {
    rsx! {
        div { class: "flex-1 overflow-visible",
            Link { to: "{url}",
                div { class: "ml-1 mr-1 rounded-sm ring-2 ring-alice-werefox-red-dark dark:ring-alice-werefox-red hover:ring-alice-werefox-blue-dark dark:hover:ring-alice-werefox-blue  text-alice-werefox-red-darker dark:text-alice-werefox-red-light hover:text-alice-werefox-blue-dark dark:hover:text-alice-werefox-blue-light transition",
                    p { class: "pl-2 pr-2 text-center sm:text-md text-sm", "{inner_text}" }
                }
            }
        }
    }
}